# Uses of Class
org.astrogrid.samp.Response

Packages that use Response
Package
Description
org.astrogrid.samp
Classes common to SAMP hub and client code.
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.test
Classes for testing.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of Response in org.astrogrid.samp

Methods in org.astrogrid.samp that return Response
Modifier and Type
Method
Description
`static Response`
Response.`asResponse(Map map)`
Returns a map as a Response object.
`static Response`
Response.`createErrorResponse(ErrInfo errinfo)`
Returns a new response which is an error.
`static Response`
Response.`createSuccessResponse(Map result)`
Returns a new response which is a success.

## Uses of Response in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client that return Response
Modifier and Type
Method
Description
`Response`
HubConnection.`callAndWait(String recipientId, Map msg, int timeout)`
Sends a message synchronously to a client, waiting for the response.
`Response`
HubConnector.`callAndWait(String recipientId, Map msg, int timeout)`
Sends a message synchronously to a client, waiting for the response.
`protected Response`
AbstractMessageHandler.`createResponse(Map processOutput)`
Invoked by `receiveCall` to create a success response from the result of calling `processCall`.
Methods in org.astrogrid.samp.client with parameters of type Response
Modifier and Type
Method
Description
`void`
CallableClient.`receiveResponse(String responderId, String msgTag, Response response)`
Receives a response to a message previously sent by this client.
`void`
ResponseHandler.`receiveResponse(HubConnection connection, String responderId, String msgTag, Response response)`
Processes a response to an earlier message.
`void`
LogResultHandler.`result(Client client, Response response)`
`void`
ResultHandler.`result(Client responder, Response response)`
Called when a response is received from a client to which the message was sent.

## Uses of Response in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui that return Response
Modifier and Type
Method
Description
`Response`
Transmission.`getResponse()`
Returns the response for this transmission.
Methods in org.astrogrid.samp.gui with parameters of type Response
Modifier and Type
Method
Description
`void`
PopupResultHandler.`result(Client client, Response response)`
`void`
Transmission.`setResponse(Response response)`
Sets the response for this transmission.

## Uses of Response in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return Response
Modifier and Type
Method
Description
`protected Response`
BasicHubService.`callAndWait(HubClient caller, String recipientId, Map message, int timeout)`
Does the work for the `callAndWait` method of connections registered with this service.

## Uses of Response in org.astrogrid.samp.test

Methods in org.astrogrid.samp.test with parameters of type Response
Modifier and Type
Method
Description
`void`
Calculator.`receiveResponse(String senderId, String msgTag, Response response)`

## Uses of Response in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return Response
Modifier and Type
Method
Description
`Response`
XmlRpcHubConnection.`callAndWait(String recipientId, Map msg, int timeout)`